/***********************************************************************
**                                                                    **
**  listing_11_3.c                                                    **
**                                                                    **
**  Separator demo. This program displays 7 horizontal separators,    **
**  each with a different style.                                      **
**                                                                    **
***********************************************************************/


#include <Xm/BulletinB.h>
#include <Xm/Separator.h>


Widget	appshell,			/* Application Shell	      */
	the_bb,				/* The Bulletin Board	      */
	separators[7];			/* The children		      */


void main( argc, argv )
    int     argc;
    char    *argv[];
{
    appshell = XtInitialize( argv[0], "Listing_11_3", NULL, 0, &argc, argv );

    the_bb = XmCreateBulletinBoard( appshell, "TheBB", NULL, 0 );
    XtManageChild( the_bb );

    separators[0] = XmCreateSeparator( the_bb, "Sep_0", NULL, 0 );
    separators[1] = XmCreateSeparator( the_bb, "Sep_1", NULL, 0 );
    separators[2] = XmCreateSeparator( the_bb, "Sep_2", NULL, 0 );
    separators[3] = XmCreateSeparator( the_bb, "Sep_3", NULL, 0 );
    separators[4] = XmCreateSeparator( the_bb, "Sep_4", NULL, 0 );
    separators[5] = XmCreateSeparator( the_bb, "Sep_5", NULL, 0 );
    separators[6] = XmCreateSeparator( the_bb, "Sep_6", NULL, 0 );
    XtManageChildren( separators, 7 );

    XtRealizeWidget( appshell );
    XtMainLoop();
}
